Bug 96714

Summary: "Can read" is unclear; consider "can only read" or "read only" instead
Product: frameworks-kio Reporter: Alias <jerome>
Component: Properties dialogAssignee: David Faure <faure>
Status: RESOLVED FIXED    
Severity: wishlist CC: kdelibs-bugs, nate
Priority: NOR Keywords: junior-jobs, usability
Version: 5.47.0   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 5.48

Description Alias 2005-01-10 17:46:24 UTC
Version:            (using KDE KDE 3.2.3)
OS:                Linux

1)open the properties window on any file with file permissions -r--r--r--
2)in the "new" kde (in comparison to older versions and the unix display), file permissions are "simplified" with the effect that the "advanced" user has to think more and longer than looking at the good ol' permissions every unixer knows.
So we got smthing like "Can Read" for "Read only"

I mean this is not correct because "Can Read" says nothing about the write permissions: it can be "can read & write" or "can read but not write". The only possibility to differentiate is to click or know that the other lingo is "Can Read & Write" so "Can Read" means actually "Read only".
I mean: at least please use precise terms even if you want to "simplify" things for newbies. Second, introduce an option (if it is done already I could find it) to kick out this kid language for advanced users and display the normal unix permissions as default without clicking on "advanced view". 

I think it is quite unpractical for advanced users to learn new (and unprecise) lingoes just because some new folks trying out linux may not know about permissions. At this rate, one could also conceal the permissions dialog altogether because DOS and older windows don't know what they are. (just a joke...don't do this!)
Comment 1 Thiago Macieira 2005-01-11 02:25:15 UTC
We already have far too many options. What's so hard about clicking the Advanced button?

As for the imprecise terms, we'll see about it. Would "Can Only Read" suffice?
Comment 2 Alias 2005-01-11 19:00:14 UTC
Thanks for responding. 
As for the more precise term, yes, I think "Can Only Read" would be clearer. Of course, the executable status is excluded. It refers only to the read and write permissions. Because on the first display, the execuble status is common to all three groups (owner, group, others) except in the case that "Forbidden" has been chosen. In that latter case, the "Forbidden" permission expands to the executable status.
I think you've realised by now that this seamingly "simplification" is a bit more intricate than it seems at first glance.

Maybe I wasn't verbose (precise?) enough in my previous comment. I agree that setting an option to get by default the advanced permission panel or not is quite useless. However I think it would make sense to have an option enabling the user to set his/her level of confidence or details of information provided by konqueror (and, for that matter, by the KDE desktop). There could be three levels: beginner, intermediate, advanced. Depending on the setting, simplified interfaces could be displayed to the user wishing such information. Maybe with the possibility to get the advanced display if you are on a beginner or intermediate level as a glimpse of the advanced level and also as a means to learn a bit more if one wants to.

So, for instance, the currently available panel would be the one of a beginner. If one would be an advanced user, only the advanced permissions would be displayed instead. (as it was in konqueror under KDE3.0)

I understand that you'd like to make it more simple or easily graspable for new comers, but I think the current result is unsatisfactory for several reasons.

1. As shown above, even using precise terms, the permission setting isn't easily expressed into a few words. 

2. The user has to read and interpret the meaning. That takes time and possibly even more so if one has to test other settings. You may say that one can rapidly get used to this. That's right if one does that regularly but I am sure that unix/linux professionals will be troubled being forced to learn something new and quite useless for them. So they'll have to click everytime on the advanced setting. That's one click but it will be one click every time one changes the permissions. I mean it is not convenient to say the least. 

3. The single "improvement" in the new panel is that the executable status is set for all 3 groups by one click, but again it may not be that easy to set properly in some cases, so one may have to check that it is correct by clicking on the advanced view.

OK, I may have been too verbose this time but I hope you better understand my point. I don't know whether the new change pertains to a new KDE guideline but in my opinion, the current status is not satisfactory, because you get on the nerves of those people who already know unix and kde, while the prospects to attract people from the MS/Mac world is not easily predictable.
Comment 3 Alias 2005-01-11 19:21:46 UTC
I thought it was a bug and wanted to report it when I've just realised it isn't. It is just because the new "easy" permission interface is dumb.
Have a file with permissions -rwx-r--r--
Look at the permissions: open the properties window.
They can't be displayed properly in the simplified view. So one _must_ click on the advanced view to check them. If you have many files like this, it means you are likely to have to click once more to look at the permissions.

Even worst, the advanced permission window blocks konqueror (maybe there's a good reason for this) which means you cannot open two properties window at the same time to compare if you want to display the advanced view in both...
I am sure, you'll agree that it is really a mess.
Comment 4 Christoph Feck 2009-08-27 02:36:02 UTC
Moving from "kio/kfile" component to "kfile" product, helps sorting out duplicates.
Comment 5 Nate Graham 2018-06-15 02:29:52 UTC
This bug is a great example of how a a trivial change can get derailed:
- Multiple issues reported in the bug
- Excessively opinionated and editorializing description starts an argument
- Intimidating wall of text that makes nobody want to read it

Ultimately what's being requested here is a few simple string changes. Here's a patch: https://phabricator.kde.org/D13552
Comment 6 Nate Graham 2018-06-22 14:00:04 UTC
Git commit 4c47f6127462e2ba3d0dcc986804693919199cc7 by Nathaniel Graham.
Committed on 22/06/2018 at 13:59.
Pushed by ngraham into branch 'master'.

[Properties dialog] Improve some permissions-related strings

Summary:
FIXED-IN: 5.48

Improve some permissions-related strings to be clearer.

Test Plan:
File:
{F5913210}

Folder:
{F5913211}

Reviewers: #frameworks, #vdg, #dolphin

Subscribers: abetts, kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D13552

M  +7    -7    src/widgets/kpropertiesdialog.cpp

https://commits.kde.org/kio/4c47f6127462e2ba3d0dcc986804693919199cc7